Five Stars

JVM error on Talend

Hello Everybody,

 

Recently i've imported some components of old version of talend(5.6.1), to the latest version, but some errors has ocurred about java compatibility, the JVM in the machine is 1.8.0_171_b11,the components are:tSAPConnection, tSAPBWInput, tSAPCommit, tSAPRollback.

ScreenHunter_02 Jun. 08 11.01.jpg

 

Can anyone help me?

Best regards.

4 REPLIES
Moderator

Re: JVM error on Talend

Hello,

It's probably caused by sap libraries. Have you tried to use new tSAPConnection, tSAPBWInput, tSAPCommit, tSAPRollback instead in your latest v 7.0.1 to see if this JVM error is fixed?

Best regards

Sabrina

 

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Five Stars

Re: JVM error on Talend

Hello,

 

No, because i cannot find these components for the talend 7.0.1, do you have any idea where can i find these?

 

Best regards.

Moderator

Re: JVM error on Talend

Hello,

Are you using talend open studio for data integration V 7.0.1? Could you please have a look at this jira issue:https://jira.talendforge.org/browse/TDI-39302?

We moved tSAPConnection/tSAPCommit/tSAPRollback to subscription-based Talend solution since v 7.0.1.

Are you able to use these components in v 6.5 instead?

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Five Stars

Re: JVM error on Talend

Hello,

Yes, i'm using the talend open studio for data integration, i'm already install the version 6.5.1 but the same don't work corectly, basicly the program show me the same error with the components, specialy with the tSAPConnection.

 

Best Regards

Luis.